#all:
#	gcc -o binario binario.c  compilacion normal

#CC=gcc
#binario:binario.o
#all:$(CC)
#	-o binario binario.o
#clean:
#	rm -f binario.o	

CC=gcc
#lo de abajo dice que para generar el ejecutable se necesita de binario.o

binario:binario.o 
#-o para compilar completo
	$(CC) binario.o -o binario
binario.o:binario.c
# -c genera el .o, al no declarar abajo el binario.o es porque binario.c 
#ya esta asociado.
	$(CC) -c binario.c
clean:
#EL $(RM) es para remover el archivo
	$(RM) -f binario.o

